<?php

namespace plugin\admin\app\controller;

use support\Request;
use support\Response;

class InvitecodeController extends Crud
{

    /**
     * 无需登录的方法
     * @var string[]
     */
    protected $noNeedLogin = [''];

    /**
     * 不需要鉴权的方法
     * @var string[]
     */
    protected $noNeedAuth = ['*'];
    /**
     * Invitecode模型对象
     * @var \app\model\Invitecode
     */
    protected $model = null;

    function __construct()
    {
        $this->model = new \app\model\Invitecode();
        $statusList = $this->model->getStatusList();
        $this->assign("statusList", $statusList);
        $this->assignconfig("statusList", $statusList);
    }
    public function index(Request $request):Response
    {
        return view();
    }
}
